commit: 89c37c35e92a2089a628d9d756bf4251e5b4c78e
Author: Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 17 16:36:26 2016 +0000
Commit: Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 16:36:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89c37c35
app-text/jabref-bin: Fix dependencies
Fixes bug 597270.
Package-Manager: portage-2.3.0
app-text/jabref-bin/jabref-bin-3.6.ebuild | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/app-text/jabref-bin/jabref-bin-3.6.ebuild
b/app-text/jabref-bin/jabref-bin-3.6.ebuild
index a52e398..6b9e303 100644
--- a/app-text/jabref-bin/jabref-bin-3.6.ebuild
+++ b/app-text/jabref-bin/jabref-bin-3.6.ebuild
@@ -19,6 +19,9 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
+DEPEND="
+ app-arch/unzip
+"
RDEPEND="
>=virtual/jre-1.8
"
@@ -27,7 +30,7 @@ S="${WORKDIR}"
src_unpack() {
cp -v "${DISTDIR}/${A}" . || die
- jar xf ${A} images/icons/JabRef-icon-48.png || die
+ unzip ${A} images/icons/JabRef-icon-48.png || die
}
src_install() {